Skip to main content
POST
/
cabinet
/
admin
/
rbac
/
roles
Create Role
curl --request POST \
  --url https://api.example.com/cabinet/admin/rbac/roles \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "level": 499,
  "description": "<string>",
  "permissions": [
    "<string>"
  ],
  "color": "<string>",
  "icon": "<string>"
}
'
{
  "id": 123,
  "name": "<string>",
  "level": 123,
  "is_system": true,
  "is_active": true,
  "description": "<string>",
  "permissions": [
    "<string>"
  ],
  "color": "<string>",
  "icon": "<string>",
  "user_count": 0,
  "created_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Create a new custom role.

name
string
required
Required string length: 1 - 100
level
integer
required
Required range: 0 <= x <= 998
description
string | null
permissions
string[]
color
string | null
Maximum string length: 7
icon
string | null
Maximum string length: 50

Response

Successful Response

Admin role with user count.

id
integer
required
name
string
required
level
integer
required
is_system
boolean
required
is_active
boolean
required
description
string | null
permissions
string[]
color
string | null
icon
string | null
user_count
integer
default:0
created_at
string<date-time> | null